# MCS_USin Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_USin:

List of all members.

## Public Member Functions

| MCS_USin (unsigned tag=28, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_UserId | m_initiator
MCS_ChannelId | m_channelId
MCS_DataPriority | m_dataPriority
MCS_Segmentation | m_segmentation
PASN_OctetString | m_userData

## Constructor & Destructor Documentation

MCS_USin::MCS_USin | ( | unsigned | tag = `28`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_USin::GetDataLength | ( |  | ) | const

PBoolean MCS_USin::Decode | ( | PASN_Stream & | strm | ) |

void MCS_USin::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_USin::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_USin::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_USin::Clone | ( |  | ) | const

## Member Data Documentation

MCS_UserId MCS_USin::m_initiator

MCS_ChannelId MCS_USin::m_channelId

MCS_DataPriority MCS_USin::m_dataPriority

MCS_Segmentation MCS_USin::m_segmentation

PASN_OctetString MCS_USin::m_userData

The documentation for this class was generated from the following file:

- mcs.h